<div class="container" [ngStyle]="{'background': 'radial-gradient(' + (backgroundColor$  | async) + ')'}" [ngClass]="{'dark': settingDarkModeEnabled }">
	<div *ngIf="settingDarkModeEnabled" class="dark-background"></div>
	<ng-container
  *ngIf="isLoading; then loadingGif; else body">
	</ng-container>
	<ng-template #loadingGif>
		<img src="/assets/images/loading.gif" alt="" class="loading">
	</ng-template>
	<ng-template #body>
		<div class="content-wrapper">
			<h1>Settings</h1>
			<div class="card">
				<div class="setting">
					<p class="title">Unit</p>
					<div
						class="segmented-control"
						(click)="toggleUnitSetting()">
						<div
							class="indicator"
							[ngStyle]="{'left': settingUnit === 0 ? '0%' : '50%'}"></div>
						<p>Metric</p>
						<p>Imperial</p>
					</div>
				</div>
				<div class="setting">
					<p class="title">Dark mode</p>
					<div
						class="toggle"
						(click)="toggleDarkMode()">
						<div
							class="dot"
							[ngStyle]="{'left': settingDarkModeEnabled ? '12pt' : '0%',
													'border-color': settingDarkModeEnabled ? '#31ED2D' : '#ED2D2D'}"></div>
					</div>
				</div>
				<div class="setting">
					<p class="title">Zen mode</p>
					<div
						class="toggle"
						(click)="toggleZenMode()">
						<div
							class="dot"
							[ngStyle]="{'left': settingZenModeEnabled ? '12pt' : '0%',
							'border-color': settingZenModeEnabled ? '#31ED2D' : '#ED2D2D'}"></div>
					</div>
				</div>
				<div class="setting">
					<p
						class="title pointer"
						(click)="deleteFavorites()">Delete favorites</p>
				</div>
				<p
					id="open-weather-map"
					(click)="openWeatherMap()">OpenWeatherMap</p>
			</div>
		</div>
	</ng-template>
</div>
